Subject: Re: [PATCHv3 2/3] cvsimport: fix the parsing of uppercase config options

From: Jonathan Nieder <[email-masked]>
Date: Wed, 1 Dec 2010 10:34:06 -0600

(+cc: Jeff, config parsing wizard)

Jakub Narebski wrote:
> Jonathan Nieder <[email-masked]> writes:

>> I somewhat like this idea.  So let's build a full table, shall
>> we?  The embedded dashes are meant for the command-line options
>> rather than the config file.
[...]
> Good idea, though I'd rather we avoid new convention for multi word
> names separated with '-' (multi-word), but rather use camel case
> (multiWord).

No disagreement there. :)

> Currently we have only unfortunate exception of `add.ignore-errors',

Maybe we can teach the config file parser to ignore dashes in addition
to case (except in the names of [genus "species"] headings)?  That
would be an incompatible change for third-party tools, though, so
maybe "git config" would have to take an explicit --strip-dashes
flag to do it.